Bug 118040 - postinstall scripts use the <user>.<group> format for setting ownership
Summary: postinstall scripts use the <user>.<group> format for setting ownership
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: at   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-11 12:29 UTC by David Hollis
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-01 18:53:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Hollis 2004-03-11 12:29:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040217

Description of problem:
The %postinstall scripts for at currently look like:

postinstall scriptlet (using /bin/sh):
touch /var/spool/at/.SEQ
chmod 600 /var/spool/at/.SEQ
chown daemon.daemon /var/spool/at/.SEQ
/sbin/chkconfig --add atd


The chown should be changed to daemon:daemon inline with the recent
enforcement of this syntax.

Version-Release number of selected component (if applicable):
at-3.1.8-50

How reproducible:
Always

Steps to Reproduce:
1. Install at
2. Verify ownership of /var/spool/at/.SEQ
3.
    

Actual Results:  Depending on when at was originally installed,
ownership may be correct.  If installing fresh from fedora devel, they
may not be correct.

Expected Results:  Ownership set to daemon:daemon

Additional info:

Comment 1 Jens Petersen 2004-03-12 06:04:30 UTC
Should get fixed in the next build,
though I was under the impression that the change
of behaviour was reverted upstream.

Comment 2 Jay Fenlason 2004-07-01 18:53:56 UTC
This was apparently changed around 3.1.8-51


Note You need to log in before you can comment on or make changes to this bug.